#!/bin/sh
# Install PE1618 help_UK files into filessystem

SCRIPT=$(readlink -f "$0")
DIR=$(dirname "$SCRIPT")

if [ $# -lt 1 ] ; then
	rfs=$ROOTFS
else
	rfs=$1
fi

if [ ! -d $rfs ] ; then
	echo "Directory does not exist. Check!"
	exit 1;
fi

for D in `find $DIR -mindepth 1 -maxdepth 1 -type d`
do 
echo $D 
LANG=$( echo "$D" |cut -d "_" -f2 ) 
echo $LANG
rm -rf /opt/pel/languages/$LANG/help
mkdir -p /opt/pel/languages/$LANG/help
mkdir -p /opt/pel/languages/$LANG/help/images
cp $D/* /opt/pel/languages/$LANG/help/
cp $D/images/* /opt/pel/languages/$LANG/help/images

done

# # remove the existing help_UK directory
# rm -rf /opt/pel/bin/help_UK

# # create our help_UK directory structure
# mkdir /opt/pel/bin/help_UK
# mkdir /opt/pel/bin/help_UK/images
# #install -d $rfs/opt/pel/bin/help_UK/videos
# echo Copy UK Pages
# cp $DIR/help_UK/index.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Basic_survey.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Cam_info.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Cam_Pressure_Temp.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/New_Coiler_meterage.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/SP_survey.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/SP_Overlay.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/File_Manager.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Keyboard.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Cam_Light.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/license.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/WC_survey.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/WC_observation.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/default.css /opt/pel/bin/help_UK
# cp $DIR/help_UK/Cloud_connection.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Cloud_use.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/WCW_connection.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/WCW_use.html /opt/pel/bin/help_UK
# cp $DIR/help_UK/Wifi.html /opt/pel/bin/help_UK

# echo Copy UK Pictures
# cp $DIR/help_UK/images/img1.jpg /opt/pel/bin/help_UK/images
# cp $DIR/help_UK/images/img2.gif /opt/pel/bin/help_UK/images
# cp $DIR/help_UK/images/keyboard.jpg /opt/pel/bin/help_UK/images

# # remove the existing help_US directory
# rm -rf /opt/pel/bin/help_US

# # create our help_US directory structure
# mkdir /opt/pel/bin/help_US
# mkdir /opt/pel/bin/help_US/images
# #install -d $rfs/opt/pel/bin/help_US/videos
# echo Copy US Pages
# cp $DIR/help_US/index.html /opt/pel/bin/help_US
# cp $DIR/help_US/Basic_survey.html /opt/pel/bin/help_US
# cp $DIR/help_US/SP_survey.html /opt/pel/bin/help_US
# cp $DIR/help_US/SP_Overlay.html /opt/pel/bin/help_US
# cp $DIR/help_US/File_Manager.html /opt/pel/bin/help_US
# cp $DIR/help_US/Keyboard.html /opt/pel/bin/help_US
# cp $DIR/help_US/Cam_Light.html /opt/pel/bin/help_US
# cp $DIR/help_US/license.html /opt/pel/bin/help_US
# cp $DIR/help_US/WC_survey.html /opt/pel/bin/help_US
# cp $DIR/help_US/WC_observation.html /opt/pel/bin/help_US
# cp $DIR/help_US/default.css /opt/pel/bin/help_US
# cp $DIR/help_US/Cloud_connection.html /opt/pel/bin/help_US
# cp $DIR/help_US/Cloud_use.html /opt/pel/bin/help_US
# cp $DIR/help_US/WCW_connection.html /opt/pel/bin/help_US
# cp $DIR/help_US/WCW_use.html /opt/pel/bin/help_US
# cp $DIR/help_US/Wifi.html /opt/pel/bin/help_US
# cp $DIR/help_US/Audio.html /opt/pel/bin/help_US

# echo Copy US Pictures
# cp $DIR/help_US/images/img1.jpg /opt/pel/bin/help_US/images
# cp $DIR/help_US/images/img2.gif /opt/pel/bin/help_US/images
# cp $DIR/help_US/images/keyboard.jpg /opt/pel/bin/help_US/images


# Install all the files
#for f in help_UK/*; do \
#    echo installing $f; \
#    install -t /opt/pel/bin/help_UK $f; \
#done

#for f in help_UK/images/*; do \
#    echo installing $f; \
#    install -t /opt/pel/bin/help_UK/images $f; \
#done

#for f in help_UK/videos/*; do \
#    echo installing $f; \
#    install -t $rfs/opt/pel/bin/help_UK/videos $f; \
#done

