#!/bin/sh

#MODES:
#0 MIC ENABLE MODE
#1 MIC DISABLE MODE

if [ $# -lt 1 ] ; then
	echo "ERROR: you must specify the mode: 0 MIC ENABLED, 1 MIC DISABLED"
	exit 1
fi

if [ $1 = "0" ]
then # MIC ENABLE MODE
	amixer sset Mic,0 100% unmute cap
	amixer sset 'Mic Booster',0 100% unmute 
	amixer sset Sidetone 0
	amixer sset 'Output Mixer Mic Sidetone' mute
	amixer sset 'Output Mixer' unmute
	amixer sset 'Output Mixer Line Bypass' mute
elif [ $1 = "1" ]
then # MIC DISSABLE MODE
	amixer sset Mic mute nocap
	amixer sset 'Mic Booster' mute
	amixer sset Sidetone 0
	amixer sset 'Output Mixer Mic Sidetone' mute
	amixer sset 'Output Mixer' unmute
	amixer sset 'Output Mixer Line Bypass' mute

else #ERROR
	echo "Bad Argument! Must be 0 MIC ENABLED or 1 MIC DISABLED"
	exit 1
fi

exit 0
