#!/bin/sh

DIR="/opt/pel/reporting/mina*.html"
OUT="/opt/pel/reporting/test.pdf"
i=0

name=$(printf "%03d" $i)
echo "$name"

for f in $DIR
do
	name=$(printf "%03d" $i)
	outFile="/opt/pel/reporting/mina_$name.pdf"
	echo "Processing $f into $outFile $name"
	wkhtmltopdf -s A4 $f $outFile
	i=$((i+1))
#	exit 0
done

echo "$i files processed"

gs -dNOPAUSE -sDEVICE=pdfwrite -sOUTPUTFILE=$OUT -dBATCH /opt/pel/reporting/*.pdf

cp $OUT $1

rm /opt/pel/reporting/*.pdf
rm /opt/pel/reporting/*.html

exit 0
