#!/bin/bash

BASE_GPIO_PATH=/sys/class/gpio

# $1 gpio base
# $2 gpio quantity

BASE=$1
MAX=$(($1+$2))

#for i in {$BASE..$MAX}
for (( c=$BASE; c<=$MAX; c++ ))
do
	echo $c

	echo $c > $BASE_GPIO_PATH/export

	# set as output
	echo "out" > $BASE_GPIO_PATH/gpio$c/direction

	# set gpio level
	echo 1 > $BASE_GPIO_PATH/gpio$c/value
done

sleep 2

for (( c=$BASE; c<=$MAX; c++ ))
do
	echo $c

	echo $c > $BASE_GPIO_PATH/export

	# set as output
	echo "out" > $BASE_GPIO_PATH/gpio$c/direction

	# set gpio level
	echo 0 > $BASE_GPIO_PATH/gpio$c/value
done