#!/bin/sh 
# set either 1 or 2 HDMI mode
config=/opt/pel/bin/eglfsconfig.json

if [ $# -lt 1 ] ; then
   echo "Error: You must specify one argument as start or stop"
   exit 1
fi

if [ $1 = 'start' ]
then
	cp /opt/pel/bin/dualHDMI.conf $config
	exit 0
elif [ $1 = 'stop' ]
then
	cp /opt/pel/bin/singleHDMI.conf $config
	exit 0
fi

exit 1

