#!/bin/sh
# Read the headphone detect pin from GPIO expander, IO0_2 U15

# Create them if they don't already exist
[ -d /sys/class/gpio/gpio490 ] || echo 490 > /sys/class/gpio/export

# set it to an input
echo in > /sys/class/gpio/gpio490/direction

# read gpio value
VAL="$(cat /sys/class/gpio/gpio490/value)"
if [ "$VAL" = "1" ]
then
	echo "false"
	exit 0
else
	echo "true"
	exit 1
fi
