#!/bin/sh
# Read back register from the adv7180 and store to a text file


LOGFILE=/var/pel/adv7180_registers
REG=0
REG_HEX=0

rm $LOGFILE

echo "$(date)" >> $LOGFILE
echo "REG : VALUE" >> $LOGFILE

while [ $REG -le 252 ]
do	
	REGVAL=$(i2cget -f -y 2 0x20 $REG)
	
	REG_HEX=$(printf '0x%02x' $REG)

	echo "$REG_HEX: $REGVAL" >> $LOGFILE

	REG=$((REG+1))
done



