#!/bin/sh

# register and data values are derived from spreadsheet found in SVN
# PE2405/Supporting Docs/tlv320aic23.xlsx

# send I2C commands on startup
echo "Sending commands to tlv320aic23"

i2cset -y 1 0x1b 0x1e 0x00
i2cset -y 1 0x1b 0x04 0x70
i2cset -y 1 0x1b 0x06 0x70
i2cset -y 1 0x1b 0x01 0x17
i2cset -y 1 0x1b 0x03 0x17
i2cset -y 1 0x1b 0x08 0xd5
i2cset -y 1 0x1b 0x0a 0x04
i2cset -y 1 0x1b 0x0c 0x40
i2cset -y 1 0x1b 0x10 0x5d
i2cset -y 1 0x1b 0x0E 0x01	
i2cset -y 1 0x1b 0x12 0x01

echo "Done"
exit 0
