#!/bin/bash

asoundFile="/etc/asound.conf"

cards=$(cat /proc/asound/cards | grep "sndrpii2scard")
echo "$cards"
cardNumber="$(cut -d '[' -f1 <<< "$cards" | xargs)"
echo "$cardNumber"
if [ $cardNumber == 1 ]; then
        echo "Writing sound card number 1"
        echo "defaults.pcm.card 1" > "$asoundFile"
        echo "defaults.ctl.card 1" >> "$asoundFile"
elif [ $cardNumber == "1" ]; then
        echo "Writing sound card number 1"
        echo "defaults.pcm.card 1" > "$asoundFile"
        echo "defaults.ctl.card 1" >> "$asoundFile"
else
        echo "Writing sound card number 0"
        echo "defaults.pcm.card 0" > "$asoundFile"
        echo "defaults.ctl.card 0" >> "$asoundFile"
fi

cat "$asoundFile"
