#!/bin/sh
PID=$( cat /opt/pel/bin/videoPID.txt )
echo $PID

sudo kill $PID
sudo killall ffmpeg
ls -la /dev/shm

gst-launch-1.0 -e v4l2src  ! queue ! video/x-raw,width=720,height=576 ! videorate ! video/x-raw,framerate=25/2 ! identity drop-allocation=1 ! queue ! videoconvert n-threads=4 ! video/x-raw,format=RGBA ! queue ! videomixer name=mix background=1 ! queue ! videoconvert n-threads=4 ! video/x-raw,width=720,height=576,format=RGB ! queue ! filesink location=/dev/shm/fifo sync=false multifilesrc location=/dev/shm/overlay.png caps="image/png,framerate=2/1" loop=false ! pngdec ! videoconvert n-threads=4 ! mix. &


#gst-launch-1.0 -e v4l2src  ! queue ! video/x-raw,width=720,height=576 ! videorate ! video/x-raw,framerate=25/2 ! identity drop-allocation=1 ! queue ! videoconvert n-threads=1 ! video/x-raw,format=RGBA ! queue ! videoconvert n-threads=1 ! video/x-raw,width=720,height=576,format=RGB ! queue ! filesink location=/dev/shm/fifo sync=true &
#gst-launch-1.0 -e v4l2src  ! queue ! video/x-raw,width=720,height=576 ! videorate ! video/x-raw,framerate=25/2 ! identity drop-allocation=1 ! queue ! videoconvert n-threads=4 ! video/x-raw,format=RGBA ! queue ! videoconvert n-threads=4 ! video/x-raw,width=720,height=576,format=RGB ! queue ! videoconvert ! v4l2sink device=/dev/video2 &
#gst-launch-1.0 -e v4l2src  ! queue ! video/x-raw,width=720,height=576 ! videorate ! video/x-raw,framerate=25/2 ! identity drop-allocation=1 ! queue ! videoconvert n-threads=4 ! video/x-raw,format=RGBA ! queue ! videomixer name=mix background=1 ! queue ! videoconvert n-threads=4 ! video/x-raw,width=720,height=576,format=RGB ! queue ! v4l2sink device=/dev/video2 !  multifilesrc location=/dev/shm/overlay.png caps="image/png,framerate=2/1" loop=false ! pngdec ! videoconvert n-threads=4 ! mix. &
#gst-launch-1.0 -e v4l2src  ! queue ! video/x-raw,width=720,height=576 ! videorate ! video/x-raw,framerate=25/2 ! identity drop-allocation=1 ! queue ! videoconvert n-threads=4 ! video/x-raw,format=RGBA ! queue ! videoconvert n-threads=4 ! video/x-raw,width=720,height=576,format=RGB ! queue ! v4l2sink device=/dev/video2 &
#gst-launch-1.0 -e v4l2src ! queue ! video/x-raw,width=720,height=576 !  videoconvert multifilesrc location=/dev/shm/overlay.png caps="image/png,framerate=2/1" loop=false ! pngdec ! videoconvert ! video/x-raw, format=RGBA ! compositor name=comp sink_0::alpha=0.8 sink_1::alpha=0.8 ! videoconvert ! v4l2sink device=/dev/video2 &
#gst-launch-1.0 -e v4l2src ! queue ! video/x-raw,width=720,height=576 ! videorate ! video/x-raw,framerate=25/1 !  queue ! videoconvert ! v4l2sink device=/dev/video2 
echo $! > /opt/pel/bin/videoPID.txt 
cat /dev/shm/fifo | ffmpeg -hide_banner -f rawvideo -pix_fmt rgb24 -s 720x576 -r 12.5 -i pipe: \
					-s 720x576 -r 12.5  -f v4l2 -vcodec rawvideo -pix_fmt rgb24 /dev/video2 \
					-s 720x576 -r 12.5 -vf "eq=contrast=1.8:brightness=0.3:saturation=1.9:gamma=1.4"  -f v4l2 -vcodec rawvideo -pix_fmt rgb24 /dev/video3 &



sleep 5
sudo i2cset -y -f -r 11 0x21 0x0c 0x02

echo "done"
