#!/bin/bash
# check if a wired connection is established
#/sbin/ifconfig

ifconfig usb0 up
ifconfig eth1 up

if ifconfig | grep -q eth1
then
	sudo dhcpcd eth1 &
        echo connected to iPhone
		if ifconfig eth1 | grep -q 'inet'
		then 
			exit 1
		else
			ifdown eth1
			ifup eth1
			exit 1 
		fi
elif ifconfig | grep -q usb0
then
	sudo dhcpcd usb0 &
        echo connected to android
		if ifconfig usb0 | grep -q 'inet'
		then 
			exit 1
		else
			ifdown usb0
			ifup usb0
			exit 1 
		fi
else echo no wired connection
fi
exit 0
